&ANALYZE-SUSPEND _VERSION-NUMBER UIB_v9r12
&ANALYZE-RESUME
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _DEFINITIONS Include 
/*********************************************************************
* Copyright (C) 2000 by Progress Software Corporation ("PSC"),       *
* 14 Oak Park, Bedford, MA 01730, and other contributors as listed   *
* below.  All Rights Reserved.                                       *
*                                                                    *
* The Initial Developer of the Original Code is PSC.  The Original   *
* Code is Progress IDE code released to open source December 1, 2000.*
*                                                                    *
* The contents of this file are subject to the Possenet Public       *
* License Version 1.0 (the "License"); you may not use this file     *
* except in compliance with the License.  A copy of the License is   *
* available as of the date of this notice at                         *
* http://www.possenet.org/license.html                               *
*                                                                    *
* Software distributed under the License is distributed on an "AS IS"*
* basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. You*
* should refer to the License for the specific language governing    *
* rights and limitations under the License.                          *
*                                                                    *
* Contributors:                                                      *
*                                                                    *
*********************************************************************/
/*------------------------------------------------------------------------
    File        : toolbarcustom.i
    Purpose     : References the start of the custom super procedure.
                  Allows properties initialization.

    Syntax      : {rtb/admtwo/custom/toolbarcustom.i}

    Description :

    Created     : 05/31/1999
    Notes       : Referenced in {rtb/admtwo/toolbar.i}
  ----------------------------------------------------------------------*/
/*          This .W file was created with the Progress AppBuilder.      */
/*----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-PREPROCESSOR-BLOCK 

/* ********************  Preprocessor Definitions  ******************** */



/* _UIB-PREPROCESSOR-BLOCK-END */
&ANALYZE-RESUME



/* *********************** Procedure Settings ************************ */

&ANALYZE-SUSPEND _PROCEDURE-SETTINGS
/* Settings for THIS-PROCEDURE
   Type: Include
   Allow: 
   Frames: 0
   Add Fields to: Neither
   Other Settings: INCLUDE-ONLY
 */
&ANALYZE-RESUME _END-PROCEDURE-SETTINGS

/* *************************  Create Window  ************************** */

&ANALYZE-SUSPEND _CREATE-WINDOW
/* DESIGN Window definition (used by the UIB) 
  CREATE WINDOW Include ASSIGN
         HEIGHT             = 15
         WIDTH              = 60.
/* END WINDOW DEFINITION */
                                                                        */
&ANALYZE-RESUME

 


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _MAIN-BLOCK Include 


/* ***************************  Main Block  *************************** */

/* Start the custom super procedure from here unless supers are loaded from 
   repository which case the custom super need to be stored in repository
   and loaded from there.  
   
   Uncomment to run it */   
     
IF NOT {&ADM-LOAD-FROM-REPOSITORY} THEN
  RUN start-super-proc ('rtb/admtwo/custom/toolbarcustom.p':U).

/*
 Not the ideal way to add accelrators, but since not all instances of
 the toolbar use the menu, this is simple, and it works. ;-)...
*/

/*
 Activate CTRL-F accelerator for "Save" action
*/
ON 'CTRL-F':U OF CURRENT-WINDOW ANYWHERE
DO:
  IF DYNAMIC-FUNCTION('isActionAvailable':U IN TARGET-PROCEDURE,"Search":U) THEN
    PUBLISH "evRtbFindRecord":U FROM TARGET-PROCEDURE.
END.

/*
 Activate CTRL-S accelerator for "Save" action
*/
ON 'CTRL-S':U OF CURRENT-WINDOW ANYWHERE
DO:
  IF DYNAMIC-FUNCTION('isActionAvailable':U IN TARGET-PROCEDURE,"Save":U) THEN
    PUBLISH "updateRecord":U FROM TARGET-PROCEDURE.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


